Bug 22274 - S3 ViRGE GX2 (Diamond Stealth 3D 4000) crash
S3 ViRGE GX2 (Diamond Stealth 3D 4000) crash
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-12-13 19:39 EST by Ernst Lippe
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-09 09:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ernst Lippe 2000-12-13 19:39:02 EST
All applicable X servers for my video card S3 ViRGE GX2 (Diamond Stealth 3D
4000)  cause after some time a total freeze of my computer, i.e. absolutely
no response to keyboard or mouse events. A manual reset is the only
I tried the following XServers: XF86_SVGA, XF86_S3V and XFree86 with the
s3virge driver.

The bug can be reproduced by using the Gnome Control Center and selecting
the Halo screensaver. This locks up my computer instantly.

The current workaround that I use is to use the XFree86 server with 
Option "NoAccel"
but this is noticably slower.
Comment 1 Raul Acevedo 2001-01-15 05:20:33 EST
Is this a dupe of bug #23659?

I can't try reproducing it with Halo, because I get an error when I
try to activate it.  (Unrecognized option -ncolors.)

See if the bug happens with the Laser screen saver (i.e. select it
in Control Center, then run xscreensaver-command -activate).  If
your X server hangs, telnet or ssh to your machine, run top, and
see if X is running at 99% CPU.  If so, then you're having the same
problem we're having over at bug #23659...
Comment 2 Ernst Lippe 2001-02-05 15:25:42 EST
Laser does not give any problems in my configuration.
Furthermore, the problem is not just that the X server consumes too much
processor time.
I wrote a small script to echo a bell (^g) character to one  of my virtual
The beepings stops immediately when I activate halo,  so it seems very likely
that my entire system has crashed.
Comment 3 Ernst Lippe 2001-02-09 09:55:33 EST
This bug is fixed in XFree86 4.0.2 that I downloaded from the rawhide
The rpm package on rawhide initially failed to install on my system (a standard
Redhat 7.0 installation).
At first I did not notice that I was still running 4.0.1 so I assumed that the
bug was not fixed.
Only when I queried rpm a few days ago I discovered that the install had failed.
After reinstalling (I had to remove the xkb directory manually) my system has
been running fine.

Note You need to log in before you can comment on or make changes to this bug.